Skip to main content
GET
https://{tenantDomain}/api/v2
/
actions
/
modules
/
{id}
/
actions
C#
using Auth0.ManagementApi;
using System.Threading.Tasks;
using Auth0.ManagementApi.Actions;

public partial class Examples
{
    public async Task Example() {
        var client = new ManagementClient(
            token: "<token>"
        );

        await client.Actions.Modules.ListActionsAsync(
            id: "id",
            request: new GetActionModuleActionsRequestParameters {
                Page = 1,
                PerPage = 1
            }
        );
    }

}
{
  "actions": [
    {
      "action_id": "<string>",
      "action_name": "<string>",
      "module_version_id": "<string>",
      "module_version_number": 123,
      "supported_triggers": [
        {
          "version": "<string>",
          "status": "<string>",
          "runtimes": [
            "<string>"
          ],
          "default_runtime": "<string>",
          "compatible_triggers": [
            {
              "version": "<string>"
            }
          ]
        }
      ]
    }
  ],
  "total": 123,
  "page": 123,
  "per_page": 123
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

The unique ID of the module.

Query Parameters

page
integer

Page index of the results to return. First page is 0.

per_page
integer

Number of results per page.

Response

The actions were retrieved.

actions
object[]

A list of action references.

total
integer

The total number of actions using this module.

page
integer

The page index of the returned results.

per_page
integer

The number of results requested per page.